- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_set_batch_size()

## Synopsis

    void
    mongoc_cursor_set_batch_size (mongoc_cursor_t *cursor, uint32_t batch_size);

## Parameters

- `cursor`: A mongoc_cursor_t.
- `batch_size`: The requested number of documents per batch.

## Description

Limits the number of documents returned in one batch. Each batch requires a round trip to the server. If the batch size is zero, the cursor uses the server-defined maximum batch size.

See Cursor Batches in the MongoDB Manual.

This is not applicable to all cursors. Calling mongoc_cursor_set_batch_size() on a cursor returned by mongoc_client_find_databases_with_opts(), mongoc_database_find_collections_with_opts(), or mongoc_collection_find_indexes_with_opts() will not change the results.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.